/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package data;

/**
 *
 * @author Tom
 */
public class ITonality {
   private String key = ""; //Tonart
   private boolean major = true; //major = true, minor = false
   private int count = -1; //Anzahl der Vorkomnisse
   private int category = -1; //id der zugehoerigen Kategorie

   public String getKey() {
      return key;
   }

   public void setKey(String key) {
      this.key = key;
   }

   public boolean isMajor() {
      return major;
   }

   public void setMajor(boolean major) {
      this.major = major;
   }

   public int getCount() {
      return count;
   }

   public void setCount(int count) {
      this.count = count;
   }

   public int getCategory() {
      return category;
   }

   public void setCategory(int category) {
      this.category = category;
   }
   
   @Override
   public String toString() {
      return key +" " +major +" " +count +" " +category;
   }
}
